<?php
  ///////////////////////////////////////////////////
  //2012 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if(is_file ("../lang/".$lang.".php")) include "../lang/".$lang.".php";
     else include "../lang/ru.php";

  $title=$titlepage = $TEXT['pass-imp'];
  $helppage = "";

  require_once "../config.php";
  require_once "top.php";

  if($result2['administrator'] == 0) puterror2($TEXT['error-supp11']);

  if(empty($_GET['pas_str_id'])) puterror2($TEXT['error-zhurn1']);
  if(strlen($_GET['pas_str_id'])>11) puterror2($TEXT['error-zhurn2']);

  $_GET['pas_str_id'] = rep($_GET['pas_str_id']);

  $query_strukt = "SELECT `strukt_name` FROM `tbl_pass_strukt` WHERE `pas_str_id` = '".$_GET['pas_str_id']."'";
   $result_strukt = mysql_query($query_strukt);
     if(!$result_strukt) puterror2($TEXT['error-tbl51']);
      $result_strukt2 = mysql_fetch_array($result_strukt,MYSQL_ASSOC);
?>
  <title><?php echo $title; ?></title>
  <link rel="StyleSheet" type="text/css" href="../utils/grid.css" />
  <link rel="StyleSheet" type="text/css" href="../utils/reader.css" />
  <link rel="shortcut icon" href="../Favicon/pass-keep.ico" type="image/x-icon" />
  </head>
  <body leftmargin="0" marginheight="0" marginwidth="0" rightmargin="0" bottommargin="0" topmargin="0" >
<?php
  if(!isset($button)) $button = $TEXT['pass-erase'];
  if(!isset($action)) $action = "pass_erase.php";
?>
<table class="tabledata" align="center">
  <tr><td class="z1"><?php echo $TEXT['pass-erase-tit2']; ?></td></tr>
</table>
<br />
<form enctype='multipart/form-data' name='form' action=<?php echo $action; ?> method=post>
<table class="tabledata" align="center">
 <tr><td><img alt='stop' align=middle src='../img/stop.png'></td></tr>
 <tr><td><?php echo $TEXT['pass-erase-help']; ?><span class="support4"><?php echo $result_strukt2['strukt_name']; ?></span></td></tr>
<tr>
    <td>
        <input type=submit value='<?php echo $button; ?>' />
        <input type=hidden name=pas_str_id value='<?php echo $_GET['pas_str_id']; ?>' />
    </td>
</tr>
</table>
</form>
</body>
</html>